> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quentli.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete customer tax profile

> Soft-deletes a fiscal profile for a customer.



## OpenAPI

````yaml /openapi.yaml delete /v1/customers/{customerId}/tax-profiles/{id}
openapi: 3.0.3
info:
  title: Quentli REST API
  version: 1.0.0
  description: OpenAPI spec for Quentli REST endpoints.
servers:
  - url: https://api.quentli.com
    description: Production API
  - url: https://api.staging.quentli.com
    description: Staging API for production-like validation
  - url: https://api.demo.quentli.com
    description: Demo API hostname served by staging
security:
  - organizationApiKey: []
tags:
  - name: Auth
  - name: Billing
  - name: Catalog
  - name: Customers
  - name: Invoices
  - name: Payment Methods
  - name: Payment Sessions
  - name: Payments
  - name: Subscriptions
  - name: Tax Invoices
  - name: Webhooks
paths:
  /v1/customers/{customerId}/tax-profiles/{id}:
    delete:
      tags:
        - Customers
      summary: Delete customer tax profile
      description: Soft-deletes a fiscal profile for a customer.
      operationId: customers_delete_tax_profile
      parameters:
        - schema:
            type: string
            description: Identifier of the customer.
          required: true
          description: Identifier of the customer.
          name: customerId
          in: path
        - schema:
            type: string
            description: Identifier of the customer tax profile.
          required: true
          description: Identifier of the customer tax profile.
          name: id
          in: path
      responses:
        '200':
          description: Customer tax profile deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteCustomerTaxInfoPayload'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
        '404':
          description: Customer tax profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserError'
components:
  schemas:
    DeleteCustomerTaxInfoPayload:
      type: object
      properties:
        customerId:
          type: string
          description: Customer whose tax profile was deleted.
      required:
        - customerId
      description: Response after deleting a customer tax profile.
    UserError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
      additionalProperties: false
      description: Standard user-facing error response envelope.
  securitySchemes:
    organizationApiKey:
      type: http
      scheme: bearer
      description: 'Organization API key using `Authorization: Bearer sk_...`.'

````